National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2003-0201 Detail

Description

Buffer overflow in the call_trans2open function in trans2.c for Samba 2.2.x before 2.2.8a, 2.0.10 and earlier 2.0.x versions, and Samba-TNG before 0.3.2, allows remote attackers to execute arbitrary code.

Source:  MITRE
Description Last Modified:  05/05/2003

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 10.0 HIGH
Vector: (AV:N/AC:L/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Provides administrator access
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
ftp://patches.sgi.com/support/free/security/advisories/20030403-01-P
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000624
http://marc.info/?l=bugtraq&m=104972664226781&w=2
http://marc.info/?l=bugtraq&m=104974612519064&w=2
http://marc.info/?l=bugtraq&m=104981682014565&w=2
http://marc.info/?l=bugtraq&m=104994564212488&w=2
http://www.debian.org/security/2003/dsa-280 Patch Vendor Advisory
http://www.digitaldefense.net/labs/advisories/DDI-1013.txt
http://www.kb.cert.org/vuls/id/267873 US Government Resource
http://www.mandriva.com/security/advisories?name=MDKSA-2003:044
http://www.novell.com/linux/security/advisories/2003_025_samba.html
http://www.redhat.com/support/errata/RHSA-2003-137.html
http://www.securityfocus.com/bid/7294 Exploit Patch Vendor Advisory
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A2163
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A567

References to Check Content

Identifier:
oval:org.mitre.oval:def:2163
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:2163
Identifier:
oval:org.mitre.oval:def:567
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:567

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:samba:samba:2.0.0:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.1:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.2:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.3:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.5:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.6:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.7:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.8:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.9:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.0.10:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.0:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.0a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.1a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.3a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.4:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.5:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.6:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.7:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.7a:*:*:*:*:*:*:*
cpe:2.3:a:samba:samba:2.2.8:*:*:*:*:*:*:*
cpe:2.3:a:samba-tng:samba-tng:0.3:*:*:*:*:*:*:*
cpe:2.3:a:samba-tng:samba-tng:0.3.1:*:*:*:*:*:*:*
Configuration 2
OR
cpe:2.3:o:apple:mac_os_x:10.2:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.2.1:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.2.2:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.2.3:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:10.2.4:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0b:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0d:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0d_pk9_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0f:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0f_pk6_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0f_pk7_bl18:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0g:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:4.0g_pk3_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0_pk4_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0_pk4_bl18:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0a:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0a_pk3_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.0f:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1_pk3_bl17:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1_pk4_bl18:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1_pk5_bl19:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1_pk6_bl20:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1a:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1a_pk1_bl1:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1a_pk2_bl2:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1a_pk3_bl3:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1b:*:*:*:*:*:*:*
cpe:2.3:o:compaq:tru64:5.1b_pk1_bl1:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:10.01:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:10.20:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:10.24:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:11.00:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:11.04:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:11.11:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:11.20:*:*:*:*:*:*:*
cpe:2.3:o:hp:hp-ux:11.22:*:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:2.5.1:*:ppc:*:*:*:*:*
cpe:2.3:o:sun:solaris:2.5.1:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:2.6:*:*:*:*:*:*:*
cpe:2.3:o:sun:solaris:7.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:8.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:*:sparc:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:*:x86:*:*:*:*:*
cpe:2.3:o:sun:solaris:9.0:x86_update_2:*:*:*:*:*:*
cpe:2.3:o:sun:sunos:-:*:*:*:*:*:*:*
cpe:2.3:o:sun:sunos:5.5.1:*:*:*:*:*:*:*
cpe:2.3:o:sun:sunos:5.7:*:*:*:*:*:*:*
cpe:2.3:o:sun:sunos:5.8:*:*:*:*:*:*:*
Configuration 3
OR
cpe:2.3:a:hp:cifs-9000_server:a.01.05:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.06:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.07:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.08:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.08.01:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.09:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.09.01:*:*:*:*:*:*:*
cpe:2.3:a:hp:cifs-9000_server:a.01.09.02:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

7 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2003-0201
NVD Published Date:
05/05/2003
NVD Last Modified:
10/30/2018